Class | Chef::RunContext
In: | lib/chef/run_context.rb
Parent: | Object

## Chef::RunContext

Value object that loads and tracks the context of a Chef run

### Methods

load new

### Included Modules

Chef::Mixin::LanguageIncludeRecipe

### Attributes

cookbook_collection | [R] |
definitions | [R] |
node | [R] |
resource_collection | [RW] | Needs to be settable so deploy can run a resource_collection independent of any cookbooks.

### Public Class methods

new(node, cookbook_collection)

Creates a new Chef::RunContext object and populates its fields. This object gets used by the Chef Server to generate a fully compiled recipe list for a node.

### Returns

object<Chef::RunContext>: | Duh. :)

### Public Instance methods

load(run_list_expansion)

[Validate]